<?php
/* @var $this EnlistController */
/* @var $model Enlist */

$this->breadcrumbs=array(
	'Enlists'=>array('index'),
	'AdminCreate',
);

$this->menu=array(
	//array('label'=>'List Enlist', 'url'=>array('index')),
	//array('label'=>'Editovanie zápisov', 'url'=>array('admin')),
);
?>

<h1>Pridať zápis</h1>
<h2> 
<?php 
$tt = Timetable::model()->findByPk($ttid);
$dni = ['Pondelok', 'Utorok', 'Streda', 'Štvrtok', 'Piatok', 'Sobota', 'Nedeľa' ];
$class = Classes::model()->findByPk($tt->lesson);
echo '<span style="text-transform: uppercase;">' .$class->name.'</span> - '.$dni[$tt->week_day-1] . '- '. $tt->time_start;
//print_r($tt); 
?>
</h2>


<?php
/* @var $this EnlistController */
/* @var $model Enlist */
/* @var $form CActiveForm */
?>

<div class="form">

<?php $form=$this->beginWidget('CActiveForm', array(
	'id'=>'enlist-form',
	// Please note: When you enable ajax validation, make sure the corresponding
	// controller action is handling ajax validation correctly.
	// There is a call to performAjaxValidation() commented in generated controller code.
	// See class documentation of CActiveForm for details on this.
	'enableAjaxValidation'=>false,
)); ?>

	<?php echo $form->errorSummary($model); ?>

	<div class="row">
		<?php 
			echo "Dieťa: <br /> ";	
			$kids = Kids::model()->findAll(array('order'=>'surname')); 	
                        $kidsList = CHtml::listData($kids, 'ID', function($kids){
                            return CHtml::encode($kids->surname.' '.$kids->name);
                        });
			//print_r($parentList);
			echo $form->dropDownList($model, 'ID_kid', $kidsList);
		?>	
		<?php //echo $form->labelEx($model,'ID_kid'); ?>
		<?php //echo $form->textField($model,'ID_kid'); ?>
		<?php //echo $form->error($model,'ID_kid'); ?>
	</div>
	
		<?php //echo $form->labelEx($model,'ID_timet'); ?>
		<?php echo $form->hiddenField($model,'ID_timet', array('value'=>$tt->ID)); ?>
		<?php //echo $form->error($model,'ID_timet'); ?>

	<div class="row">
		<?php echo $form->labelEx($model,'Poznámky k zápisu'); ?>
		<?php echo $form->textField($model,'notes'); ?>
		<?php echo $form->error($model,'notes'); ?>
	</div>

	<div class="row buttons">
		<?php echo CHtml::submitButton($model->isNewRecord ? 'Vytvoriť' : 'Uložiť'); ?>
	</div>

<?php $this->endWidget(); ?>

</div><!-- form -->

<div>
<p></p>
<table border="1">
    <thead>
        <tr>
            <th><h4>Prihlásené deti</h4></th>
            <th><h4>Posledné Platby</h4></th>
            <th><h4>Status Platby</h4></th>
        </tr>
    </thead>
    <tbody>
<?php
    foreach ($tkid as $kid) {
?>
        <tr>
            <td><?php echo CHtml::link( $kid->surname.' '.$kid->name.'<br />', array('kids/view','id'=>$kid->ID), array('target'=>'_blank'))?></td>
            <td><?php 
            if(isset($kid->payments[0]) && !empty($kid->payments[0])){
                echo CHtml::link( $kid->payments[0]->date.'<br />', array('payments/view','id'=>$kid->payments[0]->ID), array('target'=>'_blank'));
            }
                ?></td>
            <td><?php 
            if(isset($kid->payments[0]) && !empty($kid->payments[0])){
                    if ($kid->payments[0]->payed == 1){
                        echo "Zaplatené";
                    } else {
                        echo "Nezaplatené";
                    
                    } 
                } 
            ?></td>
        </tr>
<?php   
    }
?>
    </tbody>
</table>

</div>