<?php
/* @var $this QueryController */
/* @var $model Query */

$this->breadcrumbs = array(
    'Queries' => array('index'),
    'Manage',
);

$this->menu = array(
    //array('label' => 'List Query', 'url' => array('index')),
    array('label' => 'Manuálne vytvorenie záznamu', 'url' => array('create')),
);

Yii::app()->clientScript->registerScript('search', "
$('.search-button').click(function(){
	$('.search-form').toggle();
	return false;
});
$('.search-form form').submit(function(){
	$('#query-grid').yiiGridView('update', {
		data: $(this).serialize()
	});
	return false;
});
");
?>

<h1>Čakacia listina</h1>

<p>
</p>

<?php echo CHtml::link('Rozšírené vyhľadávanie', '#', array('class' => 'search-button')); ?>
<div class="search-form" style="display:none">
    <?php
    $this->renderPartial('_search', array(
        'model' => $model,
    ));
    ?>
</div><!-- search-form -->

<?php
$this->widget('zii.widgets.grid.CGridView', array(
    'id' => 'query-grid',
    'dataProvider' => $model->search(),
    'filter' => $model,
    'columns' => array(
        'ID',
        'kid_ID',
        array(
            'name' => 'Dieťa',
            'value' => function ($data) {
                $kid = Kids::model()->findByPk($data->kid_ID);
                return $kid->surname . ' ' . $kid->name;
            },
            'filter' => false,
            'sortable' => false,
        ),
        array(
            /*'name' => 'Narodenie',
            'value' => function ($data) {
                $kid = Kids::model()->findByPk($data->kid_ID);
                echo $kid->birthday;
            },
            'filter' => false,
            'sortable' => false,*/
            'name'=> 'birthday',
            'header'=>'Narodenie',
            'value'=>'$data->kid->birthday'
        ),
        'timet_ID',
        array(
            'name' => 'lesson_name',
            'header' => 'Trieda',
            'value' => '$data->timet->lesson'
        ),
        array(
            'name' => 'lesson_day',
            'header' => 'Deň',
            'value' => '$data->timet->week_day'
        ),
        array(
            'name' => 'lesson_hour',
            'header' => 'Hodina',
            'value' => '$data->timet->time_start'
        ),
        'timestamp',
        'priority',
        'notes',
        array(
            'class' => 'CButtonColumn',
        ),
    ),
));
?>
